Package de.willuhn.jameica.hbci.synchronize.jobs

# Class SynchronizeJobSepaSammelLastschrift

java.lang.Object
de.willuhn.jameica.hbci.synchronize.jobs.AbstractSynchronizeJob
de.willuhn.jameica.hbci.synchronize.jobs.SynchronizeJobSepaSammelLastschrift

All Implemented Interfaces:
  `SynchronizeJob`

Direct Known Subclasses:
  `HBCISynchronizeJobSepaSammelLastschrift`

public class SynchronizeJobSepaSammelLastschrift extends AbstractSynchronizeJob
Standard-Job zum Senden einer SEPA-Sammellastschrift.

## Field Summary

### Fields inherited from class de.willuhn.jameica.hbci.synchronize.jobs.AbstractSynchronizeJob

`i18n`

### Fields inherited from interface de.willuhn.jameica.hbci.synchronize.jobs.SynchronizeJob

`CTX_ENTITY`

## Constructor Summary

Constructors
Constructor
Description
`SynchronizeJobSepaSammelLastschrift()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isRecurring()`
Prueft, ob es sich um einen wiederkehrenden Job handelt.

### Methods inherited from class de.willuhn.jameica.hbci.synchronize.jobs.AbstractSynchronizeJob

`configure, getContext, getKonto, getName, setContext, setKonto`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SynchronizeJobSepaSammelLastschrift

public SynchronizeJobSepaSammelLastschrift()

## Method Details

### isRecurring

public boolean isRecurring()
Description copied from interface: `SynchronizeJob`
Prueft, ob es sich um einen wiederkehrenden Job handelt. Saldo- und Umsatzabfragen sind zBsp wiederkehrend, Ueberweisungen jedoch nicht. BUGZILLA 583

Returns:
  true, wenn es sich um einen wiederholenden Job handelt.